/*******************************************************************************
 * AnimNodeRandom generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class AnimNodeRandom extends AnimNodeBlendList
    native(Anim)
    hidecategories(Object,Object,Object,Object,Object);

struct native RandomAnimInfo
{
    var() float Chance;
    var() byte LoopCountMin;
    var() byte LoopCountMax;
    var() float BlendInTime;
    var() Vector2D PlayRateRange;
    var() bool bStillFrame;
    var transient byte LoopCount;
    var transient float LastPosition;

    structdefaultproperties
    {
        Chance=1.0
        LoopCountMin=0
        LoopCountMax=0
        BlendInTime=0.250
        PlayRateRange=(X=1.0,Y=1.0)
        bStillFrame=false
        LoopCount=0
        LastPosition=0.0
    }
};

var() editfixedsize editinline array<editinline RandomAnimInfo> RandomInfo;
var transient AnimNodeSequence PlayingSeqNode;
var transient int PendingChildIndex;
var transient bool bPickedPendingChildIndex;

defaultproperties
{
    PendingChildIndex=-1
    ActiveChildIndex=-1
}